Uploads selfie image for onboarding session. Response will contain data regarding liveness — if that is the photo of a real person.
Number of retries is not limited.
Note: After selfie and front-id are uploaded, endpoint for comparing faces process-face on those two images can be called.
It is required that person is alone on the photo.
Query parameters
imageTypestring
Image type. Default is selfie
enumselfievideoSelfieidnfc
captureTypestring
enumAUTOMANUALNATIVEUPLOAD
externalCaptureIdstring
recordingIdstring
Headers
api-versionstringrequiredDefaults to 1.0
Request body
application/json
base64Imagestring
Image of user's face represented in base64.
imageUrlstring
URL of face image, required to belong to a whitelisted domain
Face coordinates
leftEyeXnumber (float)required
Left eye coordinates for X
leftEyeYnumber (float)required
Left eye coordinates for Y
rightEyeXnumber (float)required
Right eye coordinates for X
rightEyeYnumber (float)required
Right eye coordinates for Y
mouthXnumber (float)deprecated
Left mouth coordinates for X. Note: the field is deprecated, use leftMouthX instead
leftMouthXnumber (float)
Left mouth coordinates for X
mouthYnumber (float)deprecated
Left mouth coordinates for Y. Note: the field is deprecated, use leftMouthY instead
leftMouthYnumber (float)
Left mouth coordinates for Y
rightMouthXnumber (float)required
Right mouth coordinates for X
rightMouthYnumber (float)required
Right mouth coordinates for Y
noseTipXnumber (float)required
Nose coordinates for X
noseTipYnumber (float)required
Nose coordinates for Y
xnumber (float)required
X coordinate of face rectangle.
ynumber (float)required
Y coordinate of face rectangle.
widthnumber (float)required
Width of face rectangle.
heightnumber (float)required
Height of face rectangle.
Responses
Response body (application/json)
ageinteger (int32)
Age of th person in the photo.
isBrightboolean
We recommend capturing another photo if value is false.
confidencenumber (float)0 to 1
Value 0 means that person on photo is alive. We recommend capturing another photo if value is 1.
hasLensesboolean
We recommend capturing another photo if value is true.
hasFaceMaskboolean
Checked only if configured in the session flow. We recommend capturing another photo if value is true.
hasClosedEyesboolean
Checked only if configured in the session flow. We recommend capturing another photo if value is true.
hasHeadCoverboolean
Checked only if configured in the session flow. We recommend capturing another photo if value is true.
faceOccludedboolean
Checked only if configured in the session flow. We recommend capturing another photo if value is true.